Subject: Re: Emacs trunk does not use `...' for quoting names anymore

From: Tu Do <[email-masked]>
Date: Sat, 3 May 2014 04:08:26 +0700

Hi I am the user in discussion,

The output is in the attached file. Probably the Emacs pretest got
pre-compiled info documents?

Some relevant information:

- Output from *makeinfo --version*:

makeinfo (GNU texinfo) 5.2
>
> Copyright (C) 2013 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <
> http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
>

- Which *makeinfo* I am using:

/usr/bin/makeinfo

- The other two config.log files for each Emacs version, both use
*/usr/bin/makeinfo*

I also installed texinfo 5.1 and the result is the same.

OS:

No LSB modules are available.
> Distributor ID:    Ubuntu
> Description:    Ubuntu 14.04 LTS
> Release:    14.04
> Codename:    trusty
>

Thanks,

Tu.

On Sat, May 3, 2014 at 3:45 AM, Drew Adams <[email-masked]> wrote:

> Hi again,
>
>
>
> Thanks for that info - I've passed it along to the bug thread.
>
>
>
> From the bug thread there is this request from you. Could you check this?
>
>
>
> > Run 'makeinfo' on the attached file t.texi and look at the quoting in
>
> > the output file t.info. It should use ASCII accent-grave and apostrophe
>
> > with old texinfo, and Unicode curly single quotes with new texinfo.
>
> > Similarly, the double quotes should use ASCII undirected double-quote
>
> > (both times) with old texinfo, and Unicode curly double quotes with new
>
> > texinfo.
>
>
>
> Thx - Drew
>
>
>
> I built from source with makinfo 5.2. However, makeinfo 5.2 works fine for
> Emacs pretest (emacs 24.3.90), but not for Emacs trunk(24.4.50):
>
> bzr branch bzr://bzr.savannah.gnu.org/emacs/
>
> *trunk*
>
> Here are the steps to build:
>
> - ./configure --with-x-toolkit=gtk
>
> - make
>
> - sudo make install
>